# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

%define section free

Name:           jansi
Version:        1.7
Release:        2%{?dist}
Epoch:          0
Summary:        jansi
License:        ASL 2.0
URL:            http://jansi.fusesource.org
Group:          Development/Libraries/Java
%if 0
git clone -n -q https://github.com/fusesource/jansi.git && cd jansi && git checkout jansi-project-1.7 && rm -rf .git && cd .. && mv jansi jansi-1.7 && tar cjf jansi-1.7.tar.bz2 jansi-1.7
%endif
Source0:        jansi-1.7.tar.bz2
Patch0:         jansi-pom.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       fusesource-pom
Requires:       hawtjni >= 0:1.5
Requires:       jansi-native >= 0:1.3
Requires:       jpackage-utils
BuildRequires:  apache-commons-parent
BuildRequires:  hawtjni >= 0:1.5
BuildRequires:  jansi-native >= 0:1.3
BuildRequires:  maven2
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-bundle-plugin >= 0:2.0.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
jansi is a java library for generating and interpreting ANSI escape sequences.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils

%description javadoc
%{summary}.

%if 0
%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
%patch0 -p1 -b .sav0

%build
export MAVEN_OPTS=""
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=oss-releases::default::file://`pwd`/maven2-brew deploy javadoc:aggregate

find maven2-brew -type f

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_datadir}/maven2/poms

cp -p maven2-brew/org/fusesource/jansi/jansi/%{version}/jansi-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
cp -p maven2-brew/org/fusesource/jansi/jansi/%{version}/jansi-%{version}.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
cp -p maven2-brew/org/fusesource/jansi/jansi-project/1.7/jansi-project-1.7.pom %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}-project.pom
%add_to_maven_depmap org.fusesource.jansi jansi %{version} JPP %{name}
%add_to_maven_depmap org.fusesource.jansi jansi-project %{version} JPP %{name}-project

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -s ${jar} ${jar/-%{version}/}; done)

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%if 0
# manual
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
cp -pr target/site/* %{buildroot}%{_docdir}/%{name}-%{version}
rm -r %{buildroot}%{_docdir}/%{name}-%{version}/apidocs
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc license.txt
%{_javadir}*/%{name}-%{version}.jar
%{_javadir}*/%{name}.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_datadir}/maven2/poms/JPP-%{name}-project.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if 0
%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri Jan 06 2012 Ralph Apel <r.apel@r-apel.de> 0:1.7-2
- Add jansi-project pom
- Require fusesource-pom

* Wed Dec 14 2011 David Walluck <dwalluck@redhat.com> 0:1.7-1
- 1.7

* Wed Dec 14 2011 David Walluck <dwalluck@redhat.com> 0:1.4-3
- enable native
- fix repolib file list
- set the maven local repo when building

* Tue Dec 13 2011 David Walluck <dwalluck@redhat.com> 0:1.4-2
- temp disable native

* Tue Dec 21 2010 David Walluck <dwalluck@redhat.com> 0:1.4-1
- release
